function FD = dvoltaje_diodo(vD)
% funcion para evaluar voltage a traves del diodo en terminos de F y R y
% con los valores de las constantes especificados en preg1, lab9, S2, 2011,
% 521230

% valores dados de parametros
alpha = 1e-12;
invbeta = 40;
mu = 1e-3;
gamma = 0.8;
F = 2;
R = 1e4;

FD = 1/R + mu*gamma - 2*mu*vD + alpha*invbeta*exp(vD*invbeta);
